curl --request POST \
--url https://api.birdeye.com/resources/v1/ticket/{businessNumber}/get/all \
--header 'Content-Type: application/json' \
--data '
{
"assignees": [],
"businessNumbers": [],
"fromDate": 1581230064000,
"sourceAliases": [
""
],
"sourceTypes": [
"phone",
"socialmedia",
"chat",
"internal"
],
"tagNames": [
"newReview"
],
"ticketStatuses": [
"assigned",
"new"
],
"ticketTypes": [
"review",
"survey",
"untagged"
],
"toDate": 1707460464000
}
'import requests
url = "https://api.birdeye.com/resources/v1/ticket/{businessNumber}/get/all"
payload = {
"assignees": [],
"businessNumbers": [],
"fromDate": 1581230064000,
"sourceAliases": [""],
"sourceTypes": ["phone", "socialmedia", "chat", "internal"],
"tagNames": ["newReview"],
"ticketStatuses": ["assigned", "new"],
"ticketTypes": ["review", "survey", "untagged"],
"toDate": 1707460464000
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
assignees: [],
businessNumbers: [],
fromDate: 1581230064000,
sourceAliases: [''],
sourceTypes: ['phone', 'socialmedia', 'chat', 'internal'],
tagNames: ['newReview'],
ticketStatuses: ['assigned', 'new'],
ticketTypes: ['review', 'survey', 'untagged'],
toDate: 1707460464000
})
};
fetch('https://api.birdeye.com/resources/v1/ticket/{businessNumber}/get/all', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ticketDetails": [
{
"id": 188556,
"status": "assigned",
"rating": 5,
"externalId": 2131605005145285400,
"date": "2020-02-14 00:08:00",
"postedOn": "2020-02-08 00:00:00",
"updateDate": "2020-08-11 00:00:00",
"created": "2020-02-14 12:08:02",
"description": "Room was outstanding....location was also good....",
"activityCount": 4,
"assignedTo": {
"firstName": "Atul",
"lastName": "Ghainna",
"emailId": "atulkumar.ghainna@birdeye.com",
"name": "Atul Ghainna"
},
"business": {
"name": "JYSK - Whitby",
"alias": "JYSK - Whitby",
"number": 157851547625021,
"phone": "(905) 451-9054"
},
"source": {
"name": "Airbnb"
},
"ticketType": "review",
"tags": [
"awesome",
"it was good",
"newtest",
"promoters!!!",
"great service",
"time",
"poor",
"Enjoy",
"newtag",
"test",
"check",
"good review",
"excellent",
"Dirty Car",
"User request no response",
"customer service",
"nice"
],
"reporter": {
"firstName": "Megha",
"lastName": ""
}
},
{
"id": 192727,
"status": "assigned",
"date": "2020-02-18 00:34:00",
"updateDate": "2020-02-18 00:00:00",
"created": "2020-02-18 12:34:18",
"description": "Apil look into it.",
"activityCount": 2,
"assignedTo": {
"firstName": "April",
"lastName": "Dover",
"emailId": "aparna.dass@birdeye.com",
"name": "April Dover"
},
"business": {
"name": "JYSK - Cambridge",
"alias": "JYSK - Cambridge",
"number": 157721146574913,
"phone": "(905) 451-9054"
},
"source": {
"name": "phone"
},
"ticketType": "untagged",
"reporter": {
"firstName": "Jerry",
"lastName": "Jacob",
"emailId": "jerry@jerry.com",
"phone": ""
}
},
{
"id": 199287,
"status": "assigned",
"date": "2020-02-27 01:28:00",
"postedOn": "2020-02-27 00:00:00",
"updateDate": "2020-10-29 00:00:00",
"created": "2020-02-27 01:28:14",
"description": "Question: Please rate us based on your training experience\nAnswer: 1",
"activityCount": 3,
"assignedTo": {
"firstName": "April",
"lastName": "Dover",
"emailId": "aparna.dass@birdeye.com",
"name": "April Dover"
},
"business": {
"name": "JYSK - Whitby",
"alias": "JYSK - Whitby",
"number": 157851547625021,
"phone": "(905) 451-9054"
},
"source": {
"name": "Training Feb 24th"
},
"ticketType": "survey",
"surveyId": 15492
}
],
"count": 0,
"totalcount": 3
}{
"code": 1161,
"message": "Invalid API key"
}{
"code": 1175,
"message": "No business found with the given id"
}{
"code": 89,
"message": "Rate limit exceeded"
}Get All Ticket Data
Get tickets
Headers
e.g. application/json
e.g. 2uiHKCTi8hSg35MG75aaot0B2SAokhjk (string, required) - Partner specific API key provided by Birdeye for data exchange.
Media type of the JSON request body.
Path Parameters
Business number of the account.
Query Parameters
Possible values are: [1] will display ticket count only, [3] will display all the data of the ticket. Default value - 3.
Start index of the response. Default value - 0
Number of tickets want to get in the response. Default value - 25
Sort options, Possible values [2] will sort on the basis of ticket creation date. [3] will sort on the basis of characters of business aliases. Default value 2.
Sort Order [0] will sort the data in ascending order. [1] this will sort the data in descending order. Default value - 1
false, total count would not be displayed. true, total count would be displayed along with the data of all the tickets. Default Value - false
Body
List of assignee email id.
List of Location Business Numbers.
Epoc start date.
Epoc end date.
Source alias.
Source Type.
Tag assigned to any review ticket.
Filter tickets with status.
List of ticket type, Possible values
Response
OK
Ticket Details.
Show child attributes
Show child attributes